%define name dvd95
%define Name DVD95
%define version 1.3p2
%define release %mkrel 1
%define summary Graphical dvd9 to dvd5 converter


Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Applications/Archiving
URL: http://dvd95.sourceforge.net/

Source: http://dl.sf.net/dvd95/dvd95-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libdvdread-devel, gtk2-devel >= 2.6
%ifarch i586
BuildRequires: libmpeg2dec0-devel
%endif
%ifarch x86_64
BuildRequires: lib64mpeg2dec0-devel
%endif


%description
DVD95 is a GNOME application to convert DVD9 (8.5G) to DVD5 (4.7G).

It needs no additional packages, an onboard version of vamps and dvdauthor
is used, to be as fast as possible. Interface is pretty simple yo use.
Shrinking factor may be computed for best results, or an adaptive
compression ratio method may be used.

Dvd can be converted to a file tree or an ISO file. The result can be played
with xine, vlc, or mplayer or burned using third party software (k3b).

DVD95 support two copy modes :
 - Without menus, one video title set, multiple audio and subtitles.
 - With menus, one video title set, multiple audio and subtitles.


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}" prefix="%{_prefix}"
%find_lang %{name}


#menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
        command="%{_bindir}/%{name}"\
        needs="X11"\
        section="Multimedia/Video"\
        icon="%{name}.png"\
        title="%{Name}"\
        longtitle="%{summary}" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{Name}
Comment=%{summary}
Exec=%{_bindir}/%{name} %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Video;AudioVideoEditing;X-MandrivaLinux-Multimedia-Video;GTK;
EOF

%post
%{update_menus}

%postun
%{clean_menus}


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/dvd95
%{_datadir}/applications/dvd95.desktop
%{_datadir}/pixmaps/dvd95/
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop

%changelog
* Fri Jan 25 2008 Oliver Burger <rpm@mandrivauser.de> 1.3p2-1mud2008.0
- new version 1.3p2

* Sat Dec 15 2007 Oliver Burger <rpm@mandrivauser.de> 1.3p0-2mud2008.0
- added menu-entry

* Sun Nov 18 2007 Oliver Burger <rpm@mandrivauser.de> 1.3p0-1mud2008.0
- adapted for Mandriva 2008.0
- new version 1.3p0

* Fri Mar 30 2007 Dag Wieers <dag@wieers.com> - 1.2p0-1 - 5255+/dag
- Initial package. (using DAR)
